:root {
  --card-width: 5vw;  /* 500px */
  --card-height: 7.26vw; /* 726px 1.452 x width */
  --gap-size: 0.3vw;
  font-family: system-ui;
  font-size: 1.2vw;
  box-sizing: border-box; /* default content-box */
}

.tableau {
  display: grid;
  grid-template-columns: 1fr repeat(5, fit-content(14%)) 1fr;
  justify-items: center;
  gap: var(--gap-size);
  background-color: green;
  color: lightgreen;
  padding: var(--gap-size);
}

.tableau > div { /* Child combinator */
  padding: var(--gap-size);
  touch-action: none;
}

.card {
  touch-action: none;
  height: var(--card-height);
  width: var(--card-width);
  border: 1px solid #999999;
  border-radius: 3px;
}

.cell-13 {
  grid-column: 3;
  grid-row: 1;
}

.cell-14 {
  grid-column: 4;
  grid-row: 1;
}

.cell-15 {
  grid-column: 5;
  grid-row: 1;
}

.cell-21 {
  grid-column: 1;
  grid-row: 2;
}

.cell-22 {
  grid-column: 2;
  grid-row: 2;
}

.cell-23 {
  grid-column: 3;
  grid-row: 2;
}

.cell-24 {
  grid-column: 4;
  grid-row: 2;
}

.cell-25 {
  grid-column: 5;
  grid-row: 2;
}

.cell-26 {
  grid-column: 6;
  grid-row: 2;
}

.cell-27 {
  grid-column: 7;
  grid-row: 2;
}

.cell-31 {
  grid-column: 1;
  grid-row: 3;
}

.cell-32 {
  grid-column: 2;
  grid-row: 3;
}

.cell-33 {
  grid-column: 3;
  grid-row: 3;
}

.cell-34 {
  grid-column: 4;
  grid-row: 3;
}

.cell-35 {
  grid-column: 5;
  grid-row: 3;
}

.cell-36 {
  grid-column: 6;
  grid-row: 3;
}

.cell-37 {
  grid-column: 7;
  grid-row: 3;
}

.cell-41 {
  grid-column: 1;
  grid-row: 4;
}

.cell-42 {
  grid-column: 2;
  grid-row: 4;
}

.cell-43 {
  grid-column: 3;
  grid-row: 4;
}

.cell-44 {
  grid-column: 4;
  grid-row: 4;
}

.cell-45 {
  grid-column: 5;
  grid-row: 4;
}

.cell-46 {
  grid-column: 6;
  grid-row: 4;
}

.cell-47 {
  grid-column: 7;
  grid-row: 4;
}

.cell-53 {
  grid-column: 3;
  grid-row: 5;
}

.cell-54 {
  grid-column: 4;
  grid-row: 5;
}

.cell-55 {
  grid-column: 5;
  grid-row: 5;
}

#newgame {
  grid-column: 1;
  grid-row: 5;
}

#msg {
  grid-column: 7;
  grid-row: 1;
}

.text-align-center {
  text-align: center;
}

